#!/bin/bash

# File:		J7Z.sh
# Purpose:	Entry point
#
# Author:	Copyright 2006-2012 Xavion
#
# License:
#
# This file is part of J7Z.
#
# J7Z is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# J7Z is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with J7Z.  If not, see <http://www.gnu.org/licenses/>.


# Variables
AppName=J7Z
AppPath="/usr/share/J7Z"
JavaBin="/usr/bin/java"

# Java
if [ ! -e ${JavaBin} ]; then
	JavaBin=`which java`
fi

# Installer
if [ -e ${AppPath}/Dist/${AppName}.jar ]; then
	AppPath="${AppPath}/Dist"
# System
elif [ -e /usr/share/${AppName}/Dist/${AppName}.jar ]; then
	AppPath="/usr/share/${AppName}/Dist"
# User
elif [ -e ${HOME}/.local/share/${AppName}/Dist/${AppName}.jar ]; then
	AppPath="${HOME}/.local/share/${AppName}/Dist"
# Local
elif [ -e ../Dist/${AppName}.jar ]; then
	AppPath="../Dist"
# Other
else
	echo "The ${AppName}.jar file could not be found in the standard paths." >&2
	echo "Edit the '$(readlink -f $0)' file manually." >&2
	exit 1
fi

# Launch
${JavaBin} -jar "${AppPath}/${AppName}.jar" "$@"
#cd ${AppPath}; ${JavaBin} -jar "Dist/${AppName}.jar" "$@"
